@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@400;700&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css");

:root {
	--color-pri: #e8b10c;
	--color-seg: #2970a8;
	--color-fondo: #f3f4f5;
}

* {
	font-family: 'Comfortaa', cursive;
}

body {
	background-color: var(--color-fondo);
}
.bg-body{
	background-color: var(--color-fondo);
}

.btn-primary {
	background-color: var(--color-pri);
	border-color: #ffc004;
	transition: all 0.7s ease-in;
}
.color-alt {
	color: var(--color-seg);
}

main {
	background-image: url("https://images.unsplash.com/photo-1616141893496-fbc65370493e?ixid=MnwxMjA3fDB8MHxzZWFyY2h8MTl8fHdhdGVyJTIwYmFja2dyb3VuZHxlbnwwfHwwfHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=2000&q=60");
	background-size: cover;
}

main > .container > * {
	max-width: 400px;
	margin-left: 100px;
	margin-top: 10px;
}
main > .container > *:first-child {
	margin-top: 100px;
}
.container > .btn {
	width: 100px;
}

.center {
	text-align: center;
}

.w-90 {
	width: 90%;
}

.row {
	width: 100%;
}
.one-row {
	--bs-gutter-x: 10px;
	--bs-gutter-y: 1.5rem;
	flex-flow: column;
}
.one-row > * {
	flex: 0 0 auto;
	width: 100%;
}

.bg-image {
	background-size: cover;
	min-height: 300px;
	margin: var(--bs-gutter-y) var(--bs-gutter-x);
}
.bg-water-1 {
	background-image: url("https://images.unsplash.com/photo-1593359393721-8c301de4bf7b?ixid=MnwxMjA3fDB8MHxzZWFyY2h8MTh8fHdhdGVyJTIwYmFja2dyb3VuZHxlbnwwfHwwfHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=60");
}
.bg-water-2 {
	background-image: url("https://images.unsplash.com/photo-1602254015557-15e0ad50beea?ixid=MnwxMjA3fDB8MHxzZWFyY2h8MjB8fHdhdGVyJTIwYmFja2dyb3VuZHxlbnwwfHwwfHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=60");
}
.bg-water-3 {
	background-image: url("https://images.unsplash.com/photo-1612440385022-734b8dfd34a0?ixid=MnwxMjA3fDB8MHxzZWFyY2h8NzZ8fHdhdGVyJTIwYmFja2dyb3VuZHxlbnwwfHwwfHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=60");
}
.bg-water-4 {
	background-image: url("https://images.unsplash.com/photo-1618928078539-07097cefaa17?ixid=MnwxMjA3fDB8MHxzZWFyY2h8NzN8fHdhdGVyJTIwYmFja2dyb3VuZHxlbnwwfHwwfHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=60");
}

section {
	color: white;
	margin: 50px 0px;
	padding: 0px 20px 10px;
}
section > * {
	margin: 18px 0px;
}
section > h2 {
	border-bottom: 2px solid var(--color-pri);
}

.content-padding {
	--bs-gutter-x: 10px;
	--bs-gutter-y: 1.5rem;
	margin-bottom: 25px;
}
.content-padding > * {
	padding-right: calc(var(--bs-gutter-x)/ 2);
	padding-left: calc(var(--bs-gutter-x)/ 2);
	margin-top: var(--bs-gutter-y);
	/*margin: var(--bs-gutter-y) var(--bs-gutter-x);*/
}

.extra-space {
	margin-top: 50px;
}

.bordered {
	border: 2px solid var(--color-fondo);
	border-radius: 50%;
	object-fit: cover;
	width: 200px;
	height: 200px;
	outline: 2px solid var(--color-seg);
}


/* time line */
.timeline {
	position: relative;
	max-width: 1200px;
	margin: 0 auto;
}
/* Linea vertical */
.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: var(--color-seg);
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
}
.timeline .left {
	left: 0;
}
.timeline .right {
	left: 50%;
}
/* flecha del content izquierdo flecha hacia la derecha */
.timeline .left::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid white;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent white;
}

/* flecha del content derecho flecha hacia la izquierda */
.timeline .right::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
}

/* Container del content */
.timeline .block {
  padding: 10px 40px;
  position: relative;
  background-color: inherit;
  width: 50%;
}

/* Circulos */
.timeline .block::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  right: -12px;
  background-color: white;
  border: 4px solid #FF9F55;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}
.right::after {
  left: -13px;
}
/* content */
.timeline .block-content {
  padding: 20px 30px;
  background-color: white;
  position: relative;
  border-radius: 6px;
}

/* FOOTER */
.d-flex.bg-image {
	background-image: linear-gradient(180deg, var(--color-fondo) 0%, transparent 80%),url("https://images.unsplash.com/photo-1611603842871-53bd212af6b4?ixid=MnwxMjA3fDB8MHxzZWFyY2h8NzB8fHdhdGVyJTIwYmFja2dyb3VuZHxlbnwwfHwwfHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1000&q=60");
	min-height: 200px;
	
}

/* Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) {
	.one-row {
		flex-flow: row nowrap;
		margin: 50px auto;
		max-width: 100%;
		width: unset;

	}
	.one-row > .col-sm-3 {
		flex: 1 1 23%
	}
	.w-md-25 {
		width: 25%;
	}
	
	.content-padding {
		padding-left: var(--bs-gutter-x);
		padding-right: var(--bs-gutter-x);
		margin-bottom: 50px;
	}
	.content-padding > .card.mx-1 {
		margin-right: .5rem !important;
		margin-left: .5rem !important;
	}
	.extra-space {
		margin-top: 100px;
	}
}

@media (max-width: 768px) {
	/* Timeline en la izquierda */
  .timeline::after {
		left: 31px;
		}
		
		/* Block a tope */
		.timeline .block {
		width: 100%;
		padding-left: 70px;
		padding-right: 25px;
		}
		
		/* Las flechas para la izquierda */
		.block::before {
		left: 60px;
		border: medium solid white;
		border-width: 10px 10px 10px 0;
		border-color: transparent white transparent transparent;
		}
	
		/* Todos los circulos iguales */
		.timeline .left::after, .right::after {
		left: 15px;
		}
		
		/* Poner los iquierdos en la derecha */
		.timeline .right {
		left: 0%;
		}
	}